@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");

*,
html,
body {
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
}

body {
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

body > h1 {
  margin: 0.5em 0;
}

.root {
  width: 100%;
  display: grid;
  grid-template-columns: auto auto auto auto;
  justify-content: center;
  align-items: center;
}

.loading-screen {
  padding: 1em;

  position: relative;
  margin: 0 100px;
}

.loading-screen::before {
  position: absolute;
  top: -20px;
  left: -25px;
  font-size: 16px;
}

.loading-screen span {
  display: block;
  width: 70px;
  height: 70px;
  border: 3px solid;
  border-radius: 50%;
  border-color: transparent #000 #000 #000;
  animation: spin 690ms infinite linear;
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

#no2 {  
  border: 10px solid #bbb;
  border-top: 10px solid red;  
}

#no3 {
  border: 5px solid;
  border-top: 5px solid;
  border-color: transparent #000 transparent #000;
}

#no4 {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    animation-duration: 1s;
}

#no5{
    width: 50px;
    height: 50px;
    animation-duration: 1s;
}
